Bug 1308685 - links are broken when viewed from /usr/share/tomcat/lib
links are broken when viewed from /usr/share/tomcat/lib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Afonichev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 13:03 EST by Igor Vlasenko
Modified: 2016-03-25 18:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: tomcat-7.0.68-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-25 18:22:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (770 bytes, patch)
2016-02-15 13:03 EST, Igor Vlasenko
no flags Details | Diff

  None (edit)
Description Igor Vlasenko 2016-02-15 13:03:52 EST
Created attachment 1127390 [details]
proposed patch

Description of problem:
%{name}-jsp-%{jspspec}-api.jar 
%{name}-servlet-%{servletspec}-api.jar
%{name}-el-%{elspec}-api.jar 
are broken symlinks when accessed from $CATALINA_HOME/lib
(/usr/share/tomcat6/lib)

Version-Release number of selected component (if applicable):
tomcat-8.0.32-1.fc24

Additional info:
Proposed patch:

--- tomcat.spec        2016-02-12 02:44:23.248000641 +0200
+++ tomcat.spec 2016-02-12 17:24:52.000556647 +0200
@@ -414,9 +414,9 @@
 
 pushd ${RPM_BUILD_ROOT}%{libdir}
     # symlink JSP and servlet API jars
-    %{__ln_s} ../%{name}-jsp-%{jspspec}-api.jar .
-    %{__ln_s} ../%{name}-servlet-%{servletspec}-api.jar .
-    %{__ln_s} ../%{name}-el-%{elspec}-api.jar .
+    %{__ln_s} ../../java/%{name}-jsp-%{jspspec}-api.jar .
+    %{__ln_s} ../../java/%{name}-servlet-%{servletspec}-api.jar .
+    %{__ln_s} ../../java/%{name}-el-%{elspec}-api.jar .
     %{__ln_s} $(build-classpath apache-commons-collections) commons-collections.jar
     %{__ln_s} $(build-classpath apache-commons-dbcp) commons-dbcp.jar
     %{__ln_s} $(build-classpath apache-commons-pool) commons-pool.jar
Comment 1 Ivan Afonichev 2016-02-21 15:48:15 EST
Not so broken:

[van@gerrit tomcat]$ pwd
/usr/share/tomcat
[van@gerrit tomcat]$ ls -lpa *.jar
ls: невозможно получить доступ к *.jar: Нет такого файла или каталога
[van@gerrit tomcat]$ ls -lpa lib/tomcat-jsp-2.2-api.jar 
lrwxrwxrwx. 1 root root 25 янв 29 17:23 lib/tomcat-jsp-2.2-api.jar -> ../tomcat-jsp-2.2-api.jar
[van@gerrit tomcat]$ head -n 1 lib/tomcat-jsp-2.2-api.jar|strings
META-INF/MANIFEST.MF
.blu~
lN/<
[van@gerrit tomcat]$ cd lib/
[van@gerrit lib]$ pwd
/usr/share/tomcat/lib
[van@gerrit lib]$ head -n 1 tomcat-jsp-2.2-api.jar|strings
META-INF/MANIFEST.MF
.blu~
lN/<



But it looks reasonable to apply your patch. Thanks!
Comment 2 Igor Vlasenko 2016-02-21 16:00:37 EST
thx!
Comment 3 Fedora Update System 2016-02-23 05:05:40 EST
tomcat-8.0.32-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e0bb2f21a
Comment 4 Fedora Update System 2016-02-23 12:36:05 EST
tomcat-7.0.68-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-62619c1bda
Comment 5 Jan Kurik 2016-02-24 10:22:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 6 Fedora Update System 2016-02-24 16:51:53 EST
tomcat-8.0.32-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e0bb2f21a
Comment 7 Fedora Update System 2016-02-25 05:53:22 EST
tomcat-7.0.68-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-62619c1bda
Comment 8 Fedora Update System 2016-02-27 10:43:55 EST
tomcat-7.0.68-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b19c75d748
Comment 9 Fedora Update System 2016-02-28 08:51:09 EST
tomcat-7.0.68-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b19c75d748
Comment 10 Fedora Update System 2016-03-11 01:49:31 EST
tomcat-7.0.68-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6651efbaf
Comment 11 Fedora Update System 2016-03-12 11:53:31 EST
tomcat-7.0.68-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6651efbaf
Comment 12 Fedora Update System 2016-03-25 18:21:56 EDT
tomcat-7.0.68-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.